#!/bin/ksh
################################################################################
#
# Licensed Materials - Property of IBM
# IBM DB2 Net Search Extender Version 8.1
# Product Number 5765-F38
# (c ) Copyright IBM Corp. 1998, 2002.  All Rights Reserved.
# US Government Users Restricted Rights -
# Use, duplication or disclosure restricted by GSA ADP Schedule
# Contract with IBM Corporation
#
################################################################################
#
#***********************************************************************
# Program name  : nsesetup.sh                                          *
#                                                                      *
#                                                                      *
# Description   : Prepare environment and run the installation program *
#                                                                      *
#***********************************************************************

if [[ -a /tmp/db2nseinst$$.log ]] then
    /usr/bin/rm /tmp/db2nseinst$$.log
fi
#


#-----------------------------------------------------------------------
#  Call the License acceptance program:
#-----------------------------------------------------------------------
    ./JRE_HOME/bin/jre  -cp ./LAP_HOME/lapapp.jar:./JRE_HOME/lib/rt.jar:./JRE_HOME/lib/i18n.jar com.ibm.lex.lapapp.LAP -l ./LA_HOME -s /usr/opt/db2_08_01/db2ext    -text_only

ReturnCode=$?

#-----------------------------------------------------------------------
#  Depending on the Return Code, act appropriately ...
#  (see the list of LAP Return Codes at the end of this file)
#-----------------------------------------------------------------------

if [ $ReturnCode  =  9 ]
        then
         echo " ....................."

         #----------------------------------------------------------------------
         #  Install DB2 Net Search Extender
         #----------------------------------------------------------------------
         /usr/sbin/installp -acX  -d'.' db2_08_01.db2nse     1>> /tmp/db2nseinst$$.log 2>&1


         #-----------------------------------------------------------------------
         # Convert the "try-and-buy" license to a "permanent" license
         #-----------------------------------------------------------------------
         if [[ -e ../license/db2nse.lic  ]] then
             /usr/opt/db2_08_01/adm/db2licm   -a   ../license/db2nse.lic
         fi

         #-----------------------------------------------------------------------
         # Copy release.txt
         #-----------------------------------------------------------------------
         if [[ -e ../release.txt  ]] then
             cp ../release.txt   /usr/opt/db2_08_01/doc/db2ext/release.txt
         fi

         #----------------------------------------------------------------------
         #  Display the LOG file
         #----------------------------------------------------------------------
         echo " "
         echo "----------------------------------- "
         echo "****** " /tmp/db2nseinst$$.log
         echo "----------------------------------- "
         /usr/bin/cat  /tmp/db2nseinst$$.log

        exit 0

else

         #echo "\n***************************************************************************"
         #echo "* Installation cancelled. (License not accepted)                          *"
         #echo "***************************************************************************\n"
        exit 1
fi

#-----------------------------------------------------------------------
# Return codes from LAP
#-----------------------------------------------------------------------
# Return Values
# A return code (status code) is always returned to the invoker of the LAP tool.
# The return code is either the latest acceptance status or an error code.
# The return code is defined as an int(32 bit wide integer) and the full
# definition is listed below.
#
# . 0 not defined;
# . 1 no LAP status available;
# . 3 declined;
# . 5 bypassed;(not used in this release)
# . 9 accepted;
#
# Followings are diagnostic information and could be treated in general as
# errors or exceptions. Any status in this category should be fixed before s
# hipping the Product. The status is provided for diagnostic purposes only.
# . 10 not used
# . 11 Exception during retrieval of LA files(application)
# . 12 not used
# . 13 Exception during retrieval of LI files (application)
# . 14 Exception during retrieval of LA files(web - CURRENTLY NOT SUPPORTED)
# . 15 Exception during recording of status and text license files
# . 16 not used
# . 17 Missing arguments exception
# . 18 Invalid arguments exception
# . 19 Path to License Files is invalid
# . 20 Path to read status file is invalid
# . 21 Path to write status file is invalid
#-----------------------------------------------------------------------


return


























